PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::align::details::AlignerCustomImpl< direction, strategy, name_tag > Struct Template Reference

`#include <plask/geometry/align.hpp>`

Inheritance diagram for plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >:
[legend]
Collaboration diagram for plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >:
[legend]

## Public Member Functions
| AlignerCustomImpl (double coordinate)
double | getAlign (double low, double hi) const override
| Get translation for aligned obiect.
void | print (std::ostream &out) const override
| Print this to stream `out`.
std::string | key (const AxisNames &) const override
| Get aligner name.
Public Member Functions inherited from plask::align::AlignerImpl< direction >
| AlignerImpl (double coordinate)
| Construct new aligner.
virtual | ~AlignerImpl ()
virtual bool | useBounds () const
| Check if this aligner getAlign use bounds (low and hi parameters) in calculation.
double | align (Translation< 3 > &toAlign, const Box3D &childBoundingBox) const
| Set object coordinate in direction of aligner activity.
virtual double | align (Translation< 3 > &toAlign) const
| Set object translation in direction of aligner activity.
std::map< std::string, double > | asDict (const AxisNames &axis_names) const
| Get aligner as dictionary.
void | writeToXML (XMLElement &dest, const AxisNames &axis_names) const
| Write this aligner to XML.
Public Member Functions inherited from plask::Printable
virtual | ~Printable ()
std::string | str () const
| Get string representation of this using print method.

## Additional Inherited Members
Public Attributes inherited from plask::align::AlignerImpl< direction >
double | coordinate
| Coordinate to which this aligner aligns.
Static Public Attributes inherited from plask::align::AlignerImpl< direction >
static const Direction | direction
| Direction of activity.

## Detailed Description

template<Direction direction, alignStrategy strategy, typename name_tag>
struct plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >

Definition at line 649 of file align.hpp.

## Constructor & Destructor Documentation

## ◆ AlignerCustomImpl()

template<Direction direction, alignStrategy strategy, typename name_tag >

plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >::AlignerCustomImpl | ( | double | coordinate | ) |
| inline

Definition at line 651 of file align.hpp.

## Member Function Documentation

## ◆ getAlign()

template<Direction direction, alignStrategy strategy, typename name_tag >

double plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >::getAlign | ( | double | low,
|  | double | hi
| ) |  | const
| inline override virtual

Get translation for aligned obiect.

Parameters

  low,hi | aligned object bounds in direction of activity of this aligner

Returns
  aligned obiect translation in direction of activity

Implements plask::align::AlignerImpl< direction >.

Definition at line 653 of file align.hpp.

## ◆ key()

template<Direction direction, alignStrategy strategy, typename name_tag >

std::string plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >::key | ( | const AxisNames & | axis_names | ) | const
| inline override virtual

Get aligner name.

Parameters

  axis_names | name of axes

Returns
  name of the aligner

Implements plask::align::AlignerImpl< direction >.

Definition at line 663 of file align.hpp.

## ◆ print()

template<Direction direction, alignStrategy strategy, typename name_tag >

void plask::align::details::AlignerCustomImpl< direction, strategy, name_tag >::print | ( | std::ostream & | out | ) | const
| inline override virtual

Print this to stream `out`.

Parameters

  out | print destination, output stream

Implements plask::Printable.

Definition at line 661 of file align.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/align.hpp